Add Category Items
curl --request POST \
--url https://api.jtl-cloud.com/erp/categories/{categoryId}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '[
123
]'import requests
url = "https://api.jtl-cloud.com/erp/categories/{categoryId}/items"
payload = [123]
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([123])
};
fetch('https://api.jtl-cloud.com/erp/categories/{categoryId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
123
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}category
Add Category Items
deprecated
Add items to a specific category
POST
/
categories
/
{categoryId}
/
items
Add Category Items
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the category where the items should be assigned.
Body
application/json
The item Ids to be assigned to the category.
Response
The assigned item ids.
Was this page helpful?
⌘I